"use strict";

exports.lookbehind = lookbehind;
var _encoder = require("../encoder/encoder.js");
var _elements = require("../utils/elements.js");
function lookbehind(sequence) {
  return {
    type: 'lookbehind',
    children: (0, _elements.ensureArray)(sequence),
    encode: encodeLookbehind
  };
}
function encodeLookbehind() {
  return {
    precedence: 'atom',
    pattern: `(?<=${(0, _encoder.encodeSequence)(this.children).pattern})`
  };
}
//# sourceMappingURL=lookbehind.js.map