"use strict";

exports.regex = regex;
var _encoder = require("../encoder/encoder.js");
var _elements = require("../utils/elements.js");
function regex(sequence) {
  return {
    type: 'sequence',
    children: (0, _elements.ensureArray)(sequence),
    encode: encodeRegex
  };
}
function encodeRegex() {
  return (0, _encoder.encodeSequence)(this.children);
}
//# sourceMappingURL=regex.js.map