import { encodeSequence } from "../encoder/encoder.mjs";
import { ensureArray } from "../utils/elements.mjs";
export function lookahead(sequence) {
  return {
    type: 'lookahead',
    children: ensureArray(sequence),
    encode: encodeLookahead
  };
}
function encodeLookahead() {
  return {
    precedence: 'atom',
    pattern: `(?=${encodeSequence(this.children).pattern})`
  };
}
//# sourceMappingURL=lookahead.mjs.map