import { encodeSequence } from "../encoder/encoder.mjs";
import { ensureArray } from "../utils/elements.mjs";
export function negativeLookahead(sequence) {
  return {
    type: 'negativeLookahead',
    children: ensureArray(sequence),
    encode: encodeNegativeLookahead
  };
}
function encodeNegativeLookahead() {
  return {
    precedence: 'atom',
    pattern: `(?!${encodeSequence(this.children).pattern})`
  };
}
//# sourceMappingURL=negative-lookahead.mjs.map