"use strict";

exports.lookahead = lookahead;
var _encoder = require("../encoder/encoder.js");
var _elements = require("../utils/elements.js");
function lookahead(sequence) {
  return {
    type: 'lookahead',
    children: (0, _elements.ensureArray)(sequence),
    encode: encodeLookahead
  };
}
function encodeLookahead() {
  return {
    precedence: 'atom',
    pattern: `(?=${(0, _encoder.encodeSequence)(this.children).pattern})`
  };
}
//# sourceMappingURL=lookahead.js.map