"use strict";

exports.negativeLookbehind = negativeLookbehind;
var _encoder = require("../encoder/encoder.js");
var _elements = require("../utils/elements.js");
function negativeLookbehind(sequence) {
  return {
    type: 'negativeLookbehind',
    children: (0, _elements.ensureArray)(sequence),
    encode: encodeNegativeLookbehind
  };
}
function encodeNegativeLookbehind() {
  return {
    precedence: 'atom',
    pattern: `(?<!${(0, _encoder.encodeSequence)(this.children).pattern})`
  };
}
//# sourceMappingURL=negative-lookbehind.js.map