import { encodeSequence } from "../encoder/encoder.mjs";
import { ensureArray } from "../utils/elements.mjs";
export function lookbehind(sequence) {
  return {
    type: 'lookbehind',
    children: ensureArray(sequence),
    encode: encodeLookbehind
  };
}
function encodeLookbehind() {
  return {
    precedence: 'atom',
    pattern: `(?<=${encodeSequence(this.children).pattern})`
  };
}
//# sourceMappingURL=lookbehind.mjs.map