import { encodeSequence } from "../encoder/encoder.mjs";
import { ensureArray } from "../utils/elements.mjs";
export function negativeLookbehind(sequence) {
  return {
    type: 'negativeLookbehind',
    children: ensureArray(sequence),
    encode: encodeNegativeLookbehind
  };
}
function encodeNegativeLookbehind() {
  return {
    precedence: 'atom',
    pattern: `(?<!${encodeSequence(this.children).pattern})`
  };
}
//# sourceMappingURL=negative-lookbehind.mjs.map